System.Design 2.0.0.0 System.Collections.CollectionBase To be added.

Provides a type-safe collection of objects.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Int32 `` To be added.

  Adds a to the collection.

  The index of the that was added to the collection.

  A to add to the collection.
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Gets a value indicating whether the contains the specified .

  true if the is contained in the collection; otherwise, false.

  The to locate.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the values to a one-dimensional at the specified index.

  The one-dimensional that is the destination of the values copied from the . The index in the where copying begins.
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Returns the index of a in the .

  The index of the of in the , if found; otherwise, -1.

  The to locate.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Inserts a into the at the specified index.

  The zero-based index where should be inserted. The to insert.
- Property
  2.0.0.0
  System.ComponentModel.Design.Data.DataSourceDescriptor `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes a specific from the .

  The to remove from the .